REMEMBER:  I don't always update the changelog for newcore, check the SVN
log for current progress

Apr 20 2006  devel  Fixed BSSID protocol in kismet_server
                    Added various sources
                    Added BSSID protocol decoder to client
Apr 07 2006  devel  Added server picker window
                    Added "add source" window
Mar 20 2006  devel  Added keepalive to drone protocol
Mar 12 2006  devel  I know it's been a while, stuff going on in life, sorry.
                    Added CARD protocol support to kp_frontend
                    Changed behavior of kp_Scrollable_Table to add a row
                     during a replace of a nonexistent row
Feb 22 2006  devel  Lots of un-changelog'd work in svn
                    Increased max iwpriv ioctls per interface, will produce
                     a different error on madwifi-ng using madwifi-old sources
                    Finished cli matrix widget
                    Added ModalAlert panel
                    "File->Connect" actually connects to the Kismet server
Feb 02 2006  devel  More work on panels client
                    Work on new tcp client code
                    Fixed stupid error in server that didn't send capabilities
Jan 16 2006  devel  Finished client panel single input line widget
                    Fixed menu not eating input when selecting nonexistent
                     menus or items via keyboard
                    Fixed consecutive disabled items in menus
                    Fixed stupid error in window positioning
                    Added button widget
                    Added "Connect" demo window
Jan 12 2006  devel  Finished client panel menu widget code
                    Finished client panel arbitrary text scroller widget code
                    Added Madwifi-NG support (with dyanamic interface
                     creation and destruction support)
                    Removed prism2 header length validation, not needed and
                     some drivers are broken
                    Split widgets and windows into their own files
                    Added client panel 2-field widget
                    Added picking list type demo
                    Added inline text style formatting class, added to
                     freetext widget
Jan 08 2006  devel  Started newcore client development (Current client code
                     is demo only and will not do anything useful)
                    Changed menu drivers to go to menubar mode and allow
                     picking the menu by underlined key
Dec 29 2005  devel  Added runstate loaders to kismet_server (do not use yet)
                    Added runstate support to gpsxml
                    Added runstate logging to netracker
                    Added runstate loading to netracker
                    Added runstate net totals logging/loading
                    Runstate loading should be usable
Dec 28 2005  devel  Added runstate dumpfile framework for freezing the Kismet
                     running state
                    Tweaked runstate dumpfile parsing
                    Added bcm43xx source
                    Started adding dumpfile resume code
Dec 21 2005  devel  Fixed error in netframe caching
Dec 19 2005  devel  Added dynamic source creation/removal via ADDSOURCE and
                     DELSOURCE commands
Dec 18 2005  devel  Fixed drone starting if drone server doesn't start
                    Added --source-options command line switch
Dec 16 2005  devel  Fixed vector resize with uclibc++
                    Added uclibc++ autodetect in autoconf
                    Added libm autodetect in autoconf
                    Removed const qualifier in macaddr.h to allow compiling on
                     uclibc c++
Dec 15 2005  devel  Added remote drone name to messages passed from it
                    Fixed drone stream syncing problem which caused sentinel
                     errors
                    Fixed compilation error when libpcap disabled
Dec 14 2005  devel  Fixed queuing of dumpfiles when dumping is disabled
Dec 13 2005  devel  Fixed loading of servername in server/drone
                    Restored wrt54prism capture source for OpenWRT
                    Fixed packet processing loop in packetsource_drone
Dec 12 2005  devel  Revamped AddSource callback API into a generic SourceAction
                     API
                    Wrote drone interface channel push code
                    Added SourceAction hooks for setting hop, vectors
                    Added drone server-side handling of channelset for hopping
                     and vector
                    Changed internal channel representation to unsigned int
                    Added packet sending to drone client
                    Added channelset packet generation to drone client
                    Added proper bitmap handling of channelset frames in
                     drone server
                    Added channel sequence command (CHANSEQ)
                    Fixed card commands (hop, etc) from segfaulting
                    Fixed dumpfiles unregistering callbacks during destruction
                    Fixed more blatant errors in uuid
                    Fixed stupid errors in drone server handling
Dec 11 2005  devel  Added fix to ringbuf from Shane Schisler
                    Added drone_source_packet generators to drone protocol to
                     push a capture source upstream
                    Added endian-flipping to bitmap fields in drone protocol
                    Completed server side of drone interface push system
                    Fixed UUID '<' operator
                    Added remote source pushing via drone protocol, remote sources
                     now show up
                    Added purging of virtual sources when drone connection is
                     broken
Dec 10 2005  devel  Added UUID to drone protocol
                    Added LocalChannelHop() to packetsources to prevent conflicts
                     with virtual drone interfaces
                    Fixed compilation of new packetsource framework on BSD
                    Fixed div-by-0 on channel assignment to virtual stuff like
                     drones
                    Fixed breaking drones by always splitting interfaces in
                     packetsource.h
Dec 05 2005  devel  Began to add remote drone virtual sources
                    Wrote some documentation on the new PacketSource api
Dec 04 2005  devel  Major code drop:
                    - Moved root IPC for channel control out of packetsourcetracker
                    - Rewrote how packetsourcetracker and packetsources work entirely
                    - Added UUID tracking of each source
                    * This code drop is KNOWN TO BREAK on *BSD and on compiling
                      drones!  I wanted to get it off my drive and versioned,
                      more updates later tonight.
                    Fixed drone to use new packetsource framework
                    Set wext packet sources to pull UUID node from the
                     interface MAC address
                    Ported BSDRT source to new packetsource framework (untested)
Nov 19 2005  devel  Fixed quirks in drone protocol
                    Implemented standalone kismet_drone binary
Nov 18 2005  devel  Did beginnings of drone packet source & client framework
                    Activated packetsource_drone (does nothing yet)
                    Initial drone support usable
Nov 17 2005  devel  Added 'sourceopts' config line to set per-source special
                     options ('fuzzycrypt' moved to here, added 'weakvalidate'
                     to loosen frame header validation restrictions)
Nov 16 2005  devel  Fixed up error exporting to do _LOCAL | _FOO
                    Added command parsing to drone server
                    Activated drone server in kismet_server.cc
                    Fixed drone server stupidity
Nov 15 2005  devel  Standardized some error reporting in netframe
                    Started drone protocol rewrite
Nov 13 2005  devel  Fixed netframe fatal oops to match other code
                    Added float mantissa components to util
                    Added globalreg component for non-char getopt
Nov 11 2005  devel  Fixed filtercore compiling on systems without libpcre
                    Fixed dual-registration of STRING protocl
Nov 10 2005  devel  Added string extraction (currently always on)
                    Added PCRE string filtering
                    Fixed PCRE negation tests
                    Fixed filter examples to show "00:11:.." quoted mac strings
                    Added STRINGS (0|1) and ADDSTRINGSFILTER commands to toggle
                     string fetching
                    Added string logfile (type 'string')
                    Added alert logtile (type 'alert')
Nov 08 2005  devel  Added libpcre checks to configure
                    Fixed util.cc compiling process title stuff
                    Added basic lexer to util.cc
                    Re-implemented MAC address filtering
                    Added stubs for pcre filters
                    Added PCRE filter string parsing
                    Fixed infinite loop in linewrapper
                    Added filter_netclient and PCRE execution for SSID filters
Nov 07 2005  devel  Fixed encryption/decryption check for data dissectors
Nov 03 2005  devel  Added smarter error message if the card drops out of monitor
Oct 30 2005  devel  Docs, plugin tweaks
Oct 29 2005  devel  Updated info text on header mode iwprivs on linux
                    Added set_prismhdr to default wext set
Oct 28 2005  devel  Updated README.newcore
Oct 26 2005  devel  Turned on assorted packet sources (ipw2915, admtek, prism54g)
Oct 25 2005  devel  Added checking for *.bz2 *.gz files in logfile enumeration
                    Revamped attaching alerts to packets so that more than one
                     alert can be tracked
                    Cleaned up nettxt export
                    Added backlogged alerts to nettxt output per network
                    Added fetching alert backlog to alertracker
Oct 23 2005  devel  Added client CDP port/dev tracking
                    Added client XML output
                    Fixed rampant client allocation bug
                    Fixed negative bsstimestamp in netxml
                    Fixed negative datasize, aggpoints in netxml
                    Added nettxt dumpfile
Oct 22 2005  devel  Added export filter initialization to dumpfile core
                    Fixed pcap references from copying pcap dump to gpsxml
                    Added netxml dumpfile
                    Added hooks for fetching const maps of netracker internals
Oct 21 2005  devel  Smartened up linewrap
Oct 20 2005  devel  Implemented shutdown&cleanup of root capsources via IPC
                    Fixed ieee80211 linktype
Oct 19 2005  devel  Cosmetic - added IPC child process name control
                    Ported sound controller to IPC framework
                    Moved speech/sound spawn to after privdrop
                    Removed gpsdclient from globalreg
Oct 18 2005  devel  Fixed invalid handling of map when cleaning up kisclient
                     protocols during a disconnect
                    Ported speech handler to IPC framework
Oct 17 2005  devel  Fixed packetsourcetracker not being updated for meta msgclient
                    Removed packetsource_bsd stub class
                    Moved packetsource_bsd to packetsource_bsdrt
                    Fixed up IPC framework to a working state
                    Ported packetsource root controller to IPC framework
Oct 16 2005  devel  Added tracker meta to packsources for chain components
                     to access
                    Added "monitor_mode" ioctl set attempt to generic
                     monitor
                    Fixed gpscore/gpsdclient double pollable registration
                    Fixed gpsdclient parsing more
                    Added void* aux pointer to message clients for incoming
                     IPC_remote generic and other message clients linked to
                     replication of messages (netframe)
                    Added IPC generic framework (incomplete)
                    Took drone/client/etc out of Makefile for now
Oct 13 2005  devel  Converted BSD interface control framework from stable
                    Removed radiotap availability check, since we force it on
                     with local headers now anyhow
                    Fixed local radiotap inclusion
                    Fleshed out BSD capture sources
                    Added CRYPTODROP alert for networks dropping advertised
                     encryption
                    Changed network/client crypto tracking to take the last
                     advertised crypto set instead of the aggregate of all
                     crypto ever seen
                    Added per-sec throttling to kismet.conf defaults
Oct 12 2005  devel  Tweaked configure for BSD radiotap detection
                    Removed some OS specific stuff from generic pcapsource
                    Removed -O2 from default makefile cxxflags (oops)
Oct 10 2005  devel  Removed wext22 check from configure (unneeded)
                    Cleaned up more of the configure file
                    Set auto-fail for missing wext headers on linux
                    Changed config warning for disabling wext
                    Removed netlink socket checking from configure
Oct 09 2005  devel  Started adding failure conditions to autoconf and forcing
                     explicit disabling of expected components (like ncurses)
                     which is the "right" thing to do.
                    Removed some linux-specific stuff from the radiotap header,
                     renamed it to local_radiotap_header.h
Oct 06 2005  devel  Removed double-cache-lookup in NETWORK protocol handler
                    Removed double-cache-lookup in CLIENT protocol handler
Oct 04 2005  devel  Moved versioning into header file for plugins to draw
                     from
                    Removed the timestamp file and zeroed out the timestamp
                     element in the protocol.  This should have been done
                     a long time ago.
Sep 29 2005  devel  Various BSD related fixups, buffer size checks
                    Added libdl check to autoconf (for BSD systems)
Sep 26 2005  devel  Moved dirty network and client tracking into vector, fixed
                     constantly sending networks
Sep 21 2005  devel  Split GPS into gpscore and gpsdclient in anticipation of
                     adding additional GPS capture methods
Sep 20 2005  devel  Implemented INFO protocol, added additional fields,
                     deprecated 'signal' field
                    Fixed maxsignal initialization in SNR fields
Sep 19 2005  devel  Fixed config file cmdline option
                    Finished redoing CARD protocol
                    Fixed stupid error in gpsxml logging
Sep 18 2005  devel  Moved CARD protocol into packetsourcetracker
                    Fixed "client ring buffer full" message going into the
                     client ring buffer
                    Fixed loop in clinetframe kill procedure, fixed hammering
                     "Socket closed" error messages
                    Fixed gpsd reconnect if nothing to connect to
Sep 17 2005  devel  Added tracking of multiple SSIDs per network, and tracking
                     all networks a client has probed for.  No methods to export
                     this information yet.
                    Added removal abilities for client commands and network
                     protocols in netframe
                    Added auxptr to network protocols for enable functions to
                     hook a class
                    Added plugin listing protocol
                    Added plugin shutdown
                    Put plugintracker in globalreg
Sep 15 2005  devel  Added user plugin directory scanning and loading
                    Implemented actually kickstarting the plugins
                    Made better errors for dlopen() being stupid
                    Fixed plugin symbol exporting
                    Wrote demo NULL plugin (crappy example, better to come)
                    Plugins should now be functional.  YOU WILL NEED TO RERUN
                     CONFIGURE for plugins to enable properly, you will also
                     need to turn on 'allowplugins=true' in your config file.
Sep 14 2005  devel  Imported -stable autoconf with all its little fixes
                    Added LIB_LOC to config.h
                    Fixed config.h.bot glitch
                    Changed privdrop behavior to keep running when there is a
                     user/target mismatch provided neither is root, and kismet
                     isn't started as root.  (ie, Kismet configured to drop to
                     'bob', started as 'susan', now runs as 'susan' with an
                     error warning)
                    Added linewrap to fataloutput message client
                    Added plugin core (funny how small a note that is) and
                     started plugin loaders
Sep 12 2005  devel  Added per-network and per-client packet rate data
                    Added packetrate fields to NETWORK and CLIENT protos
Sep 11 2005  devel  Turned on hostap (straight 'mode foo' control, no priv
                     monitor)
                    Started new filter core class
                    Added filtering to netracker for filter_tracker
                    Removed 'FILTER' packetchain stage since it's not going to
                     be used that way
                    Fixed AVS handling
                    Fixed class overload of fcsbytes causing all sorts of issues
                    Fixed some errors with compiling with suid disabled
                    Added ADDTRACKERFILTER client command to nettracker
Sep 10 2005  devel  Turned on ipw2100 source again
                    Turned on acx100 source (kluge to hopefully work with
                     modern acx100 drivers)
                    Turned on atmel-usb sourceA
                    Turned on rt2400, rt2500, rt8180
Sep 09 2005  devel  Started implementing 'auto' device support
                    Skeleton of 'auto' capsource in place (for the one capsource
                     newcore supports currently)
                    Added Madwifi capsource back
Sep 08 2005  devel  Added BCASTDISCON and AIRJACKSSID alerts
Sep 07 2005  devel  Fixed client/server protocol caching
                    Added probereq SSID tracking
                    Added tracked network type updating
                    Changed timestamp/timetracker set/tick to head of loop
                    Added 'retry' flag to ieee80211 packet info
                    Added fragments/retries tracking
                    Added fragments and retries to CLIENT and NETWORK protocols
                    Fixed CLIENT protocol enable
                    Added CLIENT to nettracker tick
Sep 06 2005  devel  Added some support for flooding clients with more than the
                     ringbuf can handle
Sep 05 2005  devel  Fixed DHCP handling
                    Fixed UDP handling
                    Fixed packetchain ordering
                    Added IP tracking
                    Fixed network/client packet attachments
Sep 04 2005  devel  Started adding data processing, IP guessing
                    Added DHCPCONFLICT alert to catch multiple DHCP servers
                     on one network.  Maybe a little too layer-3ish
                    Added CDP ids to NETWORK protocol
                    Added client creation and association
Sep 03 2005  devel  Fixed CDP processing
Sep 02 2005  devel  Fixed alert on channel 0 networks getting a channel
                    Fixed treating probe req, disassoc, auth, and death as
                     frames that have a normal fixparm
                    Fixed IAPP handling
                    Added CDP support (untested)
Sep 01 2005  devel  Added timer kick to netracker to push network updates to
                     kismet clients
                    Fixed numerous uses of unitialzed memory
                    Fixed gaping memory leakage due to destructor inheritance
Aug 31 2005  devel  Added WEP decryptor, MANGLE packet element, updated pcap
                     and tun loggers to write the mangled frame
                    Added Adler-32 checksum to util.[h|cc]
                    Added bsstimestamp network field
                    Fixed gpsd adding null data to each frame
                    Fixed turbocell nid returning \001 buffered crap
                    Fixed newcore server working with existing client
Aug 29 2005  devel  Added writeinterval support
Aug 27 2005  devel  Added auxptr to client command pointers
                    Moved wepkey code into private functions in kisbuiltindis
Aug 26 2005  devel  Moved wepkey loading code and network protocols into 
                     packetdissectors.cc/kisbuiltindissector
Aug 25 2005  devel  Data dissector cleanup, merged packinfo crypset into data
Aug 24 2005  devel  Added constants for IAPP/other data sizes
                    Added ARP ip dissector, generic IP dissector
                    Added IAPP dissector (untested)
                    Added DHCP dissector (untested)
                    Added ISAKMP dissector (untested)
Aug 23 2005  devel  Added 16/32/64 bit ptr extractor
                    Added EAP data detection (untested)
Aug 22 2005  devel  Fixed opening tcpserver before channel child
                    Moved packet dissectors into helper class
                    Moved packet registration and alert stuff into dissector
                     helper class
                    Added data dissection framework
                    Added lucent signatures/detection/alert
Aug 20 2005  devel  Fixed alerts again (parsing enable lines)
                    Restored '-s/--silent' cmd line option for server
                    Implemented --help and cross-module --help output
Aug 19 2005  devel  Fixed some header wonkiness
                    Started implementing alert framework (mostly there)
                    Added alert rate parsing from config files
                    Added --no-line-wrap for grep behavior
                    Fixed alerts
                    Activated channel change network alert
Aug 18 2005  devel  Restored WPA tag dissection from stable
                    Fixed over-aggressive "new network detected"
                    Added linewrap to stdout text and fixed linewrap code
                     boundary checks, made linewrap word length relational
                    Added extended supported rates support
Aug 17 2005  devel  Started implementing server protocol generic caching to
                     eliminate the use of crummy vector converts of the entire
                     struct
                    Began enabling netracker NETWORK protocol
                    Finished netracker NETWORK protocol rewrite
                    Finished netracker CLIENT protocol rewrite
Aug 14 2005  devel  Added tun/tap virtual interface support for sharing packets
                    Added patches/ dir and linux kernel patch for tuntap
                    Fixed stupid timing inversion on channel hop
Aug 13 2005  devel  Resumed use of CHANGELOG file for newcore development as it
                     is finally on its feet enough
                    Added GPS-only packetchain data injection to gpsdclient
                    Moved startup time and current timestamp to timetracker
                    Changed global timestamp to usec precision
                    Added GPSXML dumpfile module
                    Change dumpfile superclass dumpfile name generation
                    Added Flush() to dumpfile superclass and subs
                    Added README.newcore
                    Fixed gpsd parsing of \0 characters
                    Fixed closing dumpfiles
                    Echo client command errors to messagebus
                    Added placeholder WEP field for clients
                    Started phasing out broken protocol references to
                     tracktypes networks, commented out network protocols
                     for now
--- -- ----  -----  Newcore changelog started
